Add button to navigate to geo-location of the article.
Closed, ResolvedPublic3 Story Points

Description

Add a button (e.g. to the right of the page title overlaying the lead image) that launches the default Maps app with the target coordinates of the current article.

Design
Include pin icon and "Open in maps"
Directly below lead image/title. If similar pages + page issues present, map comes first.


Icon #777777

Dbrant created this task.Oct 2 2015, 7:22 PM
Dbrant updated the task description. (Show Details)
Dbrant raised the priority of this task from to Needs Triage.
Dbrant moved this task to Product Backlog on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2015, 7:22 PM
Dbrant triaged this task as Normal priority.Oct 7 2015, 2:02 PM
Dbrant added subscribers: Nirzar, KHammerstein.
MBinder_WMF set Security to None.
MBinder_WMF edited a custom field.

[continuing the discussion from T114524]

How will it actually appear when the article has a map location, as well as a spoken version and disambiguation links and issues (i.e. will it overflow onto two lines)? I'm kind of worried that we'd be pushing the lead section down more (thus exposing less of the article text), when we've worked so hard to make sure that the text is at the very top. Would it be possible to use more of the lead image real estate to contain these buttons?

KHammerstein added a comment.EditedOct 14 2015, 8:53 PM

@Dbrant
Good point, I agree that we don't want to push the lead section below a lot of secondary information/links.
But we do have to balance so that there isn't to much clutter on lead image, especially when lead images aren't ideal like this really busy one:

This is an alternative where all 4 (maps, audio, page issues, disambig) are icons instead of text. But I think maps will get less engagement with just an icon, and its hard to understand what they all mean. Though it will be rare that an article will have all 4.

@Dbrant
Also - this might not be popular, but I think page issues and disambiguation links in the article are not very useful or used.
In some user testing Vibha and I did awhile ago, when we showed users the slightly wrong page and asked them to go to a similar page, all immediately went to search. Wikidata descriptions in search helped a lot.

What do you think about moving page issues and similar pages somewhere else?

This area could then be exclusively used for maps and listen to article!

Niedzielski moved this task from To Do to Doing on the Mobile-App-Android-Sprint-71-Lutetium board.

@KHammerstein, here's what this will look like:

I built this from T116122, so please consider the following deviations as compared to this card's description:

  1. I adjusted some of the padding on the SVG to better match the other menu bar Material icons from Google which include a little padding. Let me know if you want me to use the one provided verbatim.
  2. I used #777 as requested. This is darker than the Material Grey 500[0] used for the other buttons. Let me know if you'd like Material colors or #777.
  3. There's no captions on or vertical dividers between these buttons.

[0] https://www.google.com/design/spec/style/color.html#color-color-palette

@KHammerstein, here's what this will look like:

I built this from T116122, so please consider the following deviations as compared to this card's description:

  1. I adjusted some of the padding on the SVG to better match the other menu bar Material icons from Google which include a little padding. Let me know if you want me to use the one provided verbatim.
  2. I used #777 as requested. This is darker than the Material Grey 500[0] used for the other buttons. Let me know if you'd like Material colors or #777.
  3. There's no captions on or vertical dividers between these buttons.

[0] https://www.google.com/design/spec/style/color.html#color-color-palette

Change 256029 had a related patch set uploaded (by Niedzielski):
Add article geo-location navigation button

https://gerrit.wikimedia.org/r/256029

Change 256029 abandoned by Niedzielski:
Add article geo-location navigation button

Reason:
To be continued...

https://gerrit.wikimedia.org/r/256029

Change 258520 had a related patch set uploaded (by Niedzielski):
Add article geo-location navigation button

https://gerrit.wikimedia.org/r/258520

Change 258520 merged by jenkins-bot:
Add article geo-location navigation button

https://gerrit.wikimedia.org/r/258520

Checked with 2.1.136-alpha-2015-12-15 on Nexus 5 (Android 5.1.1)
The icon is displayed and can be clicked. Clicking on the icon takes a user to the Google maps service.



Dbrant closed this task as Resolved.Jan 4 2016, 5:44 PM